/*Merchants benefit from the theme's robust e-commerce functionalities, seamlessly integrated with the popular WooCommerce plugin. */

/*--------------------------------------------------------------
# woocommerce
--------------------------------------------------------------*/

.woocommerce span.onsale{
    background-color: #f5aa9d;
}

.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button{
    background-color: #f5aa9d;
    color: #fff;
}

.woocommerce ul.products li.product .price,.woocommerce div.product p.price, .woocommerce div.product span.price{
    color: #f5aa9d;
}


.woocommerce ul.products li.product .button,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt {
    color: #000;
    display: block;
    font-size: 15px;
    font-weight: 600;
}
.woocommerce ul.products li.product .button:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt:hover
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt:hover{
    color: #000;
	background-color: #f1f1f2;
}
h2.woocommerce-loop-product__title, .woocommerce ul.products li.product .price{
    text-align: center;
}
a.added_to_cart.wc-forward {
    padding: 7px;
    border-radius: 5px;
    margin-top: 12px;
    font-size: 15px;
    font-weight: 600;
    color: #000 !important;
    border: 2px solid #000;
    width: 100%;
    text-align: center;
}
.woocommerce-cart table.cart td.actions .coupon .input-text{
    font-size: 14px;
}
.woocommerce table.cart td.actions .input-text, .woocommerce-page #content table.cart td.actions .input-text, .woocommerce-page table.cart td.actions .input-text{
    width: 118px;
}
/*:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button{
    color: #fff !important;
}*/
#customer_details input[type="text"]{
    padding: 0.5rem 1.8rem;
}
.woocommerce div.product form.cart div.quantity
{
	width: 30%;
	height: 50px;
	margin-right: 3%;
}
.woocommerce div.product form.cart button.single_add_to_cart_button
{
	width: 67%;
	height: 50px;
}
.woocommerce .quantity .qty {
    width: 100%;/*80px;*/
	height: 100%;
	padding: 10px;
}
.quantity input[type="number"]{
    padding: 2px;
}
nav.woocommerce-MyAccount-navigation ul {
    list-style: none;
    padding: 0;
}
nav.woocommerce-MyAccount-navigation ul li {
    border: solid 2px #e5e5e5;
    padding: 10px;
    margin-bottom: 10px;
    box-shadow: 0px 0px 0 0 #e5e5e5;
    font-weight: 500;
}
.woocommerce .star-rating {
    margin: 0 auto 10px !important;
}

.woocommerce .star-rating span, .woocommerce p.stars a{
    color: #ffcc05;
}

.woocommerce nav.woocommerce-pagination ul li span.current{
    background: #f5aa9d;
    color: #222;
}

.wp-block-woocommerce-cart .wc-block-cart__submit-button, .wc-block-components-checkout-place-order-button, .wc-block-components-totals-coupon__button{
  background: #f5aa9d;
  color: #222 !important;
  text-decoration: none !important;
  border-radius: 10px;
  border: none !important;
  padding: 10px;
  border: 2px solid transparent;
  width: 50%;
}
.wp-block-woocommerce-cart .wc-block-cart__submit-button:hover{
  border: 2px solid #f5aa9d;
  background: #f5aa9d;
  color: #222 !important;
}
.wp-block-woocommerce-cart .wc-block-cart-items,.wp-block-woocommerce-cart-order-summary-block{
  border: 1px solid #dee2e6!important;
  padding: 10px;
  border-radius: 10px;
}
.wp-block-woocommerce-cart .wc-block-cart-items__header-image, .wc-block-cart-items__header-total{
  padding: 10px !important;
}
.wp-block-woocommerce-cart .wc-block-cart .wc-block-cart__submit-container{
  margin-top: 20px;
}
.wp-block-woocommerce-cart .wc-block-components-product-badge{
  background: #e5a500;
  color: #fff !important;
  padding: 10px !important;
  margin-bottom: 5px;
  margin-top:5px ;
}
a.wc-block-components-product-name, .wc-block-components-product-name{
  font-size: 22px !important;
  color: #000 !important;
  text-decoration: none !important;
}
.wc-block-components-order-summary-item__quantity{
  background: #f5aa9d !important;
  color: #222 !important;
  border: none !important;
  box-shadow: none !important;
}

/*.wc-block-components-sidebar-layout{
  flex-flow: column-reverse !important;
}*/
/*.wc-block-components-sidebar-layout .wc-block-components-main {
  padding-right:0% !important;
  width: 100% !important;
}*/
/*.wc-block-components-sidebar{
    width: 100% !important;
}*/
.wp-block-woocommerce-cart.alignwide{
  margin-right: auto !important;
  margin-left: auto !important;
}
.wc-block-components-totals-footer-item .wc-block-components-totals-item__value,
.wc-block-components-totals-footer-item .wc-block-components-totals-item__label,
.wc-block-components-totals-item__label,.wc-block-components-totals-item__value,
.wc-block-components-product-metadata .wc-block-components-product-metadata__description>p,
.is-medium table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__total .wc-block-components-formatted-money-amount,
.wc-block-components-quantity-selector input.wc-block-components-quantity-selector__input,
.wc-block-components-quantity-selector .wc-block-components-quantity-selector__button,
.wc-block-components-quantity-selector,table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__quantity .wc-block-cart-item__remove-link,
.wc-block-components-product-price__value.is-discounted,del.wc-block-components-product-price__regular  {
  color: #000 !important;
}
.wc-block-components-totals-wrapper:after{
  border-color: #000 !important;
}
tbody.wc-block-cart-items{
  border: 1px solid #000;
  border-radius: 30px;
}
.wc-block-components-product-metadata .wc-block-components-product-metadata__description>p, button.wc-block-cart-item__remove-link{
  font-size: 14px !important;
}
.is-medium table.wc-block-cart-items .wc-block-cart-items__row{
    grid-template-columns: 270px 47px !important;
    padding: 16px 16px !important;
}
.wp-block-woocommerce-cart .wc-block-components-product-badge{
  display: none;
}
.wp-block-woocommerce-cart .wc-block-cart__submit-button:hover{
  border: unset !important;
}
a.components-button.wc-block-components-button.wp-element-button.wc-block-cart__submit-button.contained {
    text-decoration: none;
}
.wc-block-components-text-input input[type=text]{
    padding: 14px !important;
}

.woocommerce ul.products li.product .button {
    -webkit-appearance: none;
    -moz-appearance: none;
    cursor: pointer;
    display: inline-block;
    margin: 0;
    padding: 15px 25px;
    text-align: center;
    text-decoration: none;
    transition: opacity 0.15s linear;
    background-color: #fff;
    color: #000;
    border: solid 2px #000;
    width: 100%;
}

.woocommerce span.onsale{
    background-color: #f5aa9d;
}

.woocommerce div.product p.price, .woocommerce div.product span.price{
    color: #f5aa9d;
	margin-bottom: 1.5em;
	margin-top: 0.8em;
    font-size: 1.35em;
}


.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt,.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button{
    background-color: #fff;
    color: #000;
    border: solid 2px #000;
}

.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt:hover,.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button:hover{
    background-color: #f5aa9d;
}

.woocommerce-product-details__short-description{
	line-height:1.55;
	padding-bottom:20px
}
.woocommerce p, .woocommerce h1, .woocommerce h2, .woocommerce h3, .woocommerce h4, .woocommerce h5, .woocommerce h6{
	margin-bottom: 1.5em;
}
.woocommerce form {
    margin-bottom: 1.5rem;
    margin-top: 1.5rem;
}
.woocommerce label {
    display: block;
    font-size: 0.85rem;
    font-weight: 600;
	display: inline;
    color: #666B6E;
}

.woocommerce .form-control, .woocommerce textarea, .woocommerce input[type="text"], .woocommerce input[type="email"], .woocommerce input[type="password"]
{
    -webkit-appearance: none;
    -moz-appearance: none;
    background: transparent;
    border-radius: 0;
    border-style: solid;
    border-width: 0.2rem;
    max-width: 100%;
    padding: 0.9rem 0.8rem;
    width: 100%;
    border-color: #ededed;
}

.wc-block-grid__product-add-to-cart.wp-block-button .wp-block-button__link{
    cursor: pointer;
    padding: 15px 25px;
    background-color: #fff;
    color: #000;
    border: solid 2px #000;
}

.wc-block-cart__empty-cart__title.with-empty-cart-icon:before {
    -webkit-mask-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIzOCIgaGVpZ2h0PSIzOCIgZmlsbD0ibm9uZSI+PHBhdGggZmlsbD0iY3VycmVudENvbG9yIiBkPSJNMTkgMEM4LjUwNCAwIDAgOC41MDQgMCAxOXM4LjUwNCAxOSAxOSAxOSAxOS04LjUwNCAxOS0xOVMyOS40OTYgMCAxOSAwWm02LjEyOSAxMi44NzFhMi40NDkgMi40NDkgMCAwIDEgMi40NTIgMi40NTIgMi40NDkgMi40NDkgMCAwIDEtMi40NTIgMi40NTEgMi40NDkgMi40NDkgMCAwIDEtMi40NTItMi40NTEgMi40NDkgMi40NDkgMCAwIDEgMi40NTItMi40NTJaTTExLjY0NSAzMS4yNThjLTIuMDMgMC0zLjY3Ny0xLjYwOS0zLjY3Ny0zLjYgMC0xLjUzMyAyLjE4My00LjYyOCAzLjE4Ny01Ljk2MWEuNjEuNjEgMCAwIDEgLjk4IDBjMS4wMDQgMS4zMzMgMy4xODggNC40MjggMy4xODggNS45NiAwIDEuOTkyLTEuNjQ4IDMuNjAxLTMuNjc4IDMuNjAxWm0xLjIyNi0xMy40ODRhMi40NDkgMi40NDkgMCAwIDEtMi40NTItMi40NTEgMi40NDkgMi40NDkgMCAwIDEgMi40NTItMi40NTIgMi40NDkgMi40NDkgMCAwIDEgMi40NTIgMi40NTIgMi40NDkgMi40NDkgMCAwIDEtMi40NTIgMi40NTFabTEzLjA0IDExLjgxNEE4Ljk4OSA4Ljk4OSAwIDAgMCAxOSAyNi4zNTVjLTEuNjI0IDAtMS42MjQtMi40NTIgMC0yLjQ1MmExMS40IDExLjQgMCAwIDEgOC43ODggNC4xMjJjMS4wNTcgMS4yNTctLjg1OSAyLjc5Ni0xLjg3OCAxLjU2M1oiLz48L3N2Zz4=);
    -webkit-mask-position: center;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-size: 5em;
}

.woocommerce-breadcrumb{
	padding-top: 30px !important;
}

.wc-block-components-form .wc-block-components-text-input input:autofill, .wc-block-components-form .wc-block-components-text-input.is-active input[type="email"], .wc-block-components-form .wc-block-components-text-input.is-active input[type="number"], .wc-block-components-form .wc-block-components-text-input.is-active input[type="tel"], .wc-block-components-form .wc-block-components-text-input.is-active input[type="text"], .wc-block-components-form .wc-block-components-text-input.is-active input[type="url"], .wc-block-components-text-input input:autofill, .wc-block-components-text-input.is-active input[type="email"], .wc-block-components-text-input.is-active input[type="number"], .wc-block-components-text-input.is-active input[type="tel"], .wc-block-components-text-input.is-active input[type="text"], .wc-block-components-text-input.is-active input[type="url"]
{
padding: 1.5em .5em .5em !important;;
}